## emacspeak 43.0+dfsg

=== Makefile ===
# $Author: tv.raman.tv $
# Description:  Makefile for Emacspeak
# Keywords: Emacspeak,  TTS,Makefile
# {{{ LCD Entry:

# LCD Archive Entry:
# emacspeak| T. V. Raman |raman@cs.cornell.edu
# A speech interface to Emacs |
# Location undetermined
#

# }}}
# {{{ Copyright:

#Copyright (C) 1995 -- 2015, T. V. Raman

# Copyright (c) 1994, 1995 by Digital Equipment Corporation.
# All Rights Reserved.
#
# This file is not part of GNU Emacs, but the same permissions apply.
#
# GNU Emacs is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# GNU Emacs is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Emacs; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

# }}}
# {{{ Installation instructions:

# If you're reading this, then you've already unpacked the tar archive
# and extracted the sources in a directory.
# cd to the  directory where you placed the sources.
# This directory is referred to henceforth as EMACSPEAK_DIR.
# and then type
#    make config
# Now type
#    make 
# to compile the files, then 
#    sudo make install
# to install them.
#
# By default, files are installed in subdirectories of /usr --
# that is, executables in /usr/bin, .info files in
# /usr/share/info, and elisp  files in /usr/share/emacs/site-lisp/emacspeak.
# If you want them somewhere else, you may add a "prefix=" parameter to the
# make install command.  For example, to place files in subdirectories of
# /usr/local instead of /usr, use this command:
#    sudo make prefix=/usr/local install
#
# emacspeak uses tclx --extended tcl-- for the speech server.
# Note:  Extended TCL  --tclx-- is *not* tclsh
# Setting up speech server:
# Emacspeak comes with two servers written in TCL:
# 1) dtk-exp for the Dectalk Express
#2 outloud --- for ViaVoice outloud
# 3 espeak for Espeak
# emacspeak uses the shell environment variable DTK_PROGRAM to determine
# which server to use, and the shell environment variable DTK_PORT
# to determine the port where the Dectalk is connected.
# Examples: If using csh or tcsh
#    setenv DTK_PROGRAM "dtk-exp"
# or if using bash
#    export DTK_PROGRAM=dtk-exp
# By default the port is /dev/tty00 on ultrix/osf1, and /dev/ttyS0 on linux.
#
# Finally, make sure that tclsh  is present in your search path by typing
#    which tclsh
# Assuming you're using dtk-exp:
# Check that the dtk-exp can be run by typing
# <emacspeak-dir>/dtk-exp
# You should hear the Dectalk speak and get a TCL prompt if everything is okay.
# Next, check that your serial port is working correctly, and that your stty
# settings are correct. You can do this by executing the following sequence
# of TCL commands in the TCL session you just started:
#q {this is a test. }; d
# should speak the text within the braces.
#    s
# The above command stops speech.
# You should see a TCL prompt when you execute it.
# If things appear to hang when you execute tts_stop
# i.e. you don't see a TCL prompt (%) then
# a) The serial cable conecting your speech device is flaky
# b) Your serial port is flaky
# c) The stty settings on the port are incorrect for your
# system
#In the case of (c) on solaris systems,
#try setting environment variable DTK_OS to solaris.
# In the case of (c) please report the problem
# quit this tcl session by typing ctrl-d
#
# To use emacspeak you can do one of the following:
# Add the line
# (load-file (expand-file-name "<EMACSPEAK_DIR>/emacspeak-setup.el"))
# to the start of your .emacs
# This will start emacspeak every time you use emacs
# or alternatively set the following alias.
# If you use csh or tcsh
# alias emacspeak "emacs -q -l <EMACSPEAK_DIR>/emacspeak-setup.el -l $HOME/.emacs"
# If you use bash (the default under linux)
# alias emacspeak="emacs -q -l <EMACSPEAK_DIR>/emacspeak-setup.el -l $HOME/.emacs"
# Note: in all of the above you should replace <EMACSPEAK_DIR> with your
# site-specific value. The distribution also creates a shell executable
# The now deprecated emacspeak.sh that does the same thing as the alias shown above.

# }}}
# {{{  Site Configuration

##### Site  Configuration #####
MAKE=make
prefix = /usr
# where executables go
bindir = ${prefix}/bin
# where info files should go
infodir = ${prefix}/share/info
# where the emacspeak library directory should go
libparentdir = ${prefix}/share/emacs/site-lisp
# where  all emacspeak  files should go
libdir =$(libparentdir)/emacspeak
#directory where we are building
SRC = $(shell pwd)
# How to install files
INSTALL = install
CP=cp

# }}}
############## no user serviceable parts beyond this point ###################
# {{{ setup distribution

# source files to distribute
ID = README
STUMPWM=stumpwm
TABLE_SAMPLES=etc/tables/*.tab 
FORMS =etc/forms/*.el
MEDIA=media
ECI=servers/linux-outloud
ESPEAK=servers/linux-espeak/tclespeak.cpp \
servers/linux-espeak/Makefile\

DTKTTS=servers/software-dtk/tcldtk.c \
servers/software-dtk/DTK \
servers/software-dtk/Makefile
OUTLOUD=${ECI}/eci.ini \
${ECI}/*.h \
${ECI}/*.cpp \
${ECI}/ALSA ${ECI}/asoundrc \
${ECI}/Makefile

NEWS = etc/NEWS*  etc/COPYRIGHT \
etc/remote.txt etc/applications.html   etc/tips.html
SOUNDS=sounds/classic sounds/emacspeak.mp3 \
sounds/chimes  sounds/3d

TCL_PROGRAMS = servers/.servers \
servers/dtk-exp  servers/ssh-dtk-exp\
servers/dtk-soft \
servers/espeak \
servers/mac \
servers/outloud  servers/ssh-outloud servers/32-outloud \
servers/tts-lib.tcl \
servers/cloud* servers/log* servers/speech-server
PHANTOM=phantom/*.js
ELISP = lisp/*.el lisp/g-client \
lisp/Makefile
TEMPLATES = etc/emacspeak.sh.def etc/Makefile
MISC=etc/extract-table.pl etc/last-log.pl \
etc/pdf2text etc/doc2text \
etc/xls2html etc/ppt2html  \
etc/ocr-client.pl \
etc/emacspeak.xpm etc/emacspeak.jpg

INFO = info/Makefile info/*.texi 
XSL=xsl 
DISTFILES =${ELISP}  ${TEMPLATES}     ${TCL_PROGRAMS} ${XSL} \
${OUTLOUD} ${DTKTTS} ${ESPEAK} \
${PHANTOM} ${STUMPWM} ${INFO}  ${NEWS} ${MISC} Makefile

# }}}
# {{{  User level targets emacspeak info 

emacspeak:
	test -f  lisp/emacspeak-loaddefs.el || ${MAKE} config
	cd lisp; $(MAKE)
	touch   $(ID)
	chmod 644 $(ID)
	@echo "Now check installation of  the speech server. "
	@echo "See Makefile for instructions."
	@echo "See the NEWS file for a  summary of new features --control e cap n in Emacs"
	@echo "See Emacspeak Customizations for customizations -- control e cap C in Emacs"
	@echo "Use C-h p in Emacs for a package overview"
	@echo "Make sure you read the Emacs info pages"

info:
	cd info; $(MAKE) -k

# }}}
# {{{  Maintainance targets tar  dist
GITVERSION=$(shell git show HEAD | head -1  | cut -b 8- )
README: force
	@rm -f README
	@echo "Emacspeak  Revision $(GITVERSION)" > $(ID)
	@echo "Distribution created by `whoami` on `hostname`" >> $(ID)
	@echo "Unpack the  distribution And type make config " >> $(ID)
	@echo "Then type make" >> $(ID)
	@echo "See the Makefile for details. " >> $(ID)

force:

EXCLUDES= --exclude='.git' \
--exclude='*.elc' --exclude='*.o' --exclude='*.so' --exclude='*/.libs'

tar:
	make ${ID}
	tar cvf  emacspeak.tar $(EXCLUDES) $(DISTFILES)   $(ID) \
			  ${TABLE_SAMPLES} ${MEDIA}  ${FORMS} \
	${SOUNDS}

dist: $(DISTFILES)
	$(MAKE) tar

# }}}
# {{{ User level target--  config

config:
	cd etc &&   $(MAKE) config  
	cd lisp && $(MAKE) config
	@echo "Configured emacspeak in directory $(SRC). Now type make emacspeak"

# }}}
# {{{  user level target-- install uninstall
# We install both  elisp sources and the resulting .elc files

install:
	$(MAKE) config 
	  $(INSTALL)  -d $(libparentdir)
	  $(INSTALL) -d $(libdir)
	  $(INSTALL) -d $(libdir)/lisp
	$(INSTALL) -d $(libdir)/lisp/g-client
	$(INSTALL) -d $(libdir)/etc
	$(INSTALL) -d $(libdir)/xsl
	$(INSTALL) -m 0644  ${ID} $(libdir)
	  $(INSTALL) -m 0644  lisp/*.el lisp/*.elc  $(libdir)/lisp
	$(INSTALL) -m 0644  lisp/g-client/*.el    $(libdir)/lisp/g-client
	$(INSTALL) -m 0644  lisp/g-client/*.elc    $(libdir)/lisp/g-client
	$(INSTALL) -m 0644  lisp/g-client/*.xsl    $(libdir)/lisp/g-client
	$(INSTALL) -m 0644  xsl/*.xsl    $(libdir)/xsl
	$(INSTALL) -d $(libdir)/sounds
	$(INSTALL) -d $(libdir)/phantom
	$(CP) -r $(PHANTOM) $(libdir)/phantom
	$(INSTALL) -d $(libdir)/servers
	$(INSTALL) -d $(libdir)/servers/linux-outloud
	$(INSTALL)  -m 755 ${OUTLOUD}  $(libdir)/servers/linux-outloud
	$(INSTALL) -d $(libdir)/servers/linux-espeak
	$(INSTALL)  -m 755 ${ESPEAK}  $(libdir)/servers/linux-espeak
	$(INSTALL) -d $(libdir)/servers/software-dtk
	$(INSTALL)  -m 755 ${DTKTTS}  $(libdir)/servers/software-dtk
	$(INSTALL)  -m 755 ${TCL_PROGRAMS}  $(libdir)/servers
	$(INSTALL) -m 0644   ${NEWS}   $(libdir)/etc
	cp   ${MISC}   $(libdir)/etc
	$(CP) -r $(SOUNDS) $(libdir)/sounds
	chmod -R go+rX  $(libdir)/sounds
	$(CP) -r $(MEDIA) $(libdir)
	chmod -R go+rX  $(libdir)/media
	$(CP) -r $(STUMPWM) $(libdir)
	chmod -R go+rX  $(libdir)/stumpwm	
	$(INSTALL) -d $(libdir)/etc/forms
	$(INSTALL)  -m 0644 $(FORMS) $(libdir)/etc/forms
	$(INSTALL) -d $(libdir)/etc/tables
	$(INSTALL)  -m 0644 $(TABLE_SAMPLES) $(libdir)/etc/tables
	$(INSTALL) -d $(bindir)
	$(INSTALL) -m 0755  etc/emacspeak.sh $(bindir)/emacspeak
	$(INSTALL) -d $(infodir)
	cd info; \
	$(MAKE) install  infodir="$(infodir)"

uninstall:
	rm -rf $(infodir)/emacspeak.info* $(bindir)/emacspeak $(libdir)
	cd info && make uninstall infodir=${infodir}
# }}}
# {{{  complete build

#targets
#the complete build
all: emacspeak

#clean, config and build
q:
	make clean
	make config 
	make -j

# }}}
# {{{  user level target-- clean

clean:
	cd lisp; $(MAKE) clean
		cd info; $(MAKE) clean

# }}}
# {{{ labeling releases

#label  releases when ready
LABEL=#version number
MSG="Releasing ${LABEL}"
release: #supply LABEL=NN.NN
	git tag -a  ${LABEL} -m "Tagging release with ${LABEL}"
	git push --tags
	$(MAKE) dist
	mkdir emacspeak-${LABEL}; \
cd emacspeak-${LABEL} ;\
	tar xvf ../emacspeak.tar ; \
	rm -f ../emacspeak.tar ; \
cd .. ;\
	tar cvfj emacspeak-${LABEL}.tar.bz2 emacspeak-$(LABEL); \
	/bin/rm -rf emacspeak-${LABEL} ;\
	echo "Prepared release in emacspeak-${LABEL}.tar.bz2"
	./utils/ghr ${LABEL} "emacspeak-${LABEL}.tar.bz2"

# }}}
# {{{list distfiles to stdout

list_dist:
	ls -1  $(DISTFILES)

# }}}
# {{{ end of file

#local variables:
#major-mode: makefile-mode
#eval:  (fold-set-marks "# {{{" "# }}}")
#fill-column: 90
#folded-file: t
#end:

# }}}

=== lisp/Makefile ===
# $Author: tv.raman.tv $
# Description:  Makefile for Emacspeak
# Keywords: Emacspeak, Dectalk, Makefile
# {{{ LCD Entry:

# LCD Archive Entry:
# emacspeak| T. V. Raman |raman@cs.cornell.edu
# A speech interface to Emacs |
# $Date: 2007-06-24 15:56:04 -0700 (Sun, 24 Jun 2007) $ |
#  $Revision: 4673 $ |
# Location undetermined
#

# }}}
# {{{ Copyright:

#Copyright (C) 1995 -- 2015, T. V. Raman

# Copyright (c) 1994, 1995 by Digital Equipment Corporation.
# All Rights Reserved.
#
# This file is not part of GNU Emacs, but the same permissions apply.
#
# GNU Emacs is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# GNU Emacs is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Emacs; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

# }}}
# {{{make rules

# what emacs is called on your system
EMACS = emacs
SRC=".."
# How to run in batch mode
BATCH = -batch -q -no-site-file    
DEPS=-l $(SRC)/lisp/emacspeak-load-path.el \
-l $(SRC)/lisp/emacspeak-loaddefs.el \
-l $(SRC)/lisp/emacspeak-cus-load.el \
-l $(SRC)/lisp/g-client/g-load-path.el

COMPILE =  -f batch-byte-compile
# How to compile
%.elc:  %.el
	$(EMACS) $(BATCH)  $(DEPS)  $(COMPILE) $<
# }}}
# {{{  grouping files into dependent modules

#The various modules:
DTK_OBJECTS = acss-structure.elc \
dtk-speak.elc		dectalk-voices.elc\
tts.elc tts-cmds.elc  plain-voices.elc espeak-voices.elc \
outloud-voices.elc  mac-voices.elc\
dtk-interp.elc dtk-unicode.elc

SPEAK_OBJECTS =   \
emacspeak-speak.elc  \
emacspeak-actions.elc \
voice-setup.elc \
emacspeak-personality.elc \
emacspeak-pronounce.elc \
emacspeak-projectile.elc \
emacspeak-sounds.elc

CORE_OBJECTS =  \
emacspeak.elc \
emacspeak-setup.elc \
emacspeak-advice.elc\
emacspeak-keymap.elc\
emacspeak-fix-interactive.elc\
emacspeak-re-builder.elc \
emacspeak-redefine.elc\
emacspeak-replace.elc \
emacspeak-table.elc \
emacspeak-table-ui.elc \
emacspeak-tabulate.elc \
amixer.elc \
emacspeak-add-log.elc \
emacspeak-alsaplayer.elc \
emacspeak-amark.elc \
emacspeak-analog.elc \
emacspeak-ansi-color.elc \
emacspeak-apt-sources.elc \
emacspeak-apt-utils.elc \
emacspeak-arc.elc \
emacspeak-auctex.elc \
emacspeak-autoload.el \
emacspeak-aumix.elc \
emacspeak-bbc.elc \
emacspeak-bbdb.elc \
emacspeak-bibtex.elc \
emacspeak-bookmark.elc \
emacspeak-bookshare.elc \
emacspeak-browse-kill-ring.elc \
emacspeak-bs.elc \
emacspeak-buff-menu.elc \
emacspeak-c.elc \
emacspeak-calc.elc \
emacspeak-calculator.elc \
emacspeak-calendar.elc \
emacspeak-cedet.elc \
emacspeak-checkdoc.elc \
emacspeak-cmuscheme.elc \
emacspeak-compile.elc \
emacspeak-company.elc \
congrats.elc \
emacspeak-cperl.elc \
emacspeak-custom.elc \
emacspeak-dbus.elc \
emacspeak-dictionary.elc \
emacspeak-desktop.elc \
emacspeak-diff-mode.elc \
emacspeak-dired.elc \
emacspeak-dismal.elc \
emacspeak-dmacro.elc \
emacspeak-epub.elc \
emacspeak-ecb.elc \
emacspeak-ein.elc \
emacspeak-ediary.elc \
emacspeak-ediff.elc \
emacspeak-eww.elc \
emacspeak-eclim.elc \
emacspeak-elfeed.elc \
emacspeak-enriched.elc \
emacspeak-xkcd.elc \
emacspeak-emms.elc \
emacspeak-entertain.elc \
emacspeak-eperiodic.elc \
emacspeak-espn.elc \
emacspeak-erc.elc \
emacspeak-eshell.elc \
emacspeak-ess.elc \
emacspeak-eterm.elc \
emacspeak-eudc.elc \
emacspeak-facemenu.elc \
emacspeak-feeds.elc \
emacspeak-filtertext.elc \
emacspeak-find-dired.elc \
emacspeak-ftf.elc \
emacspeak-find-func.elc \
emacspeak-finder.elc \
emacspeak-flycheck.elc \
emacspeak-flyspell.elc \
emacspeak-folding.elc \
emacspeak-forms.elc \
emacspeak-generic.elc \
emacspeak-gnuplot.elc \
emacspeak-gnus.elc\
emacspeak-go-mode.elc \
emacspeak-gomoku.elc \
emacspeak-google.elc \
emacspeak-gridtext.elc \
emacspeak-gtags.elc \
emacspeak-gud.elc \
emacspeak-helm.elc \
emacspeak-hide.elc \
emacspeak-hideshow.elc \
emacspeak-ibuffer.elc \
emacspeak-ido.elc \
emacspeak-imenu.elc \
emacspeak-info.elc\
emacspeak-ispell.elc \
emacspeak-jabber.elc \
emacspeak-jde.elc \
emacspeak-js2.elc \
emacspeak-jss.elc \
emacspeak-kite.elc \
emacspeak-kmacro.elc  \
emacspeak-librivox.elc \
emacspeak-lua.elc \
emacspeak-magit.elc \
emacspeak-m-player.elc \
emacspeak-make-mode.elc \
emacspeak-markdown.elc \
emacspeak-man.elc \
emacspeak-message.elc \
emacspeak-metapost.elc \
emacspeak-midge.elc \
emacspeak-mpg123.elc \
emacspeak-muse.elc \
emacspeak-mspools.elc \
emacspeak-net-utils.elc \
emacspeak-newsticker.elc \
emacspeak-ocr.elc \
emacspeak-org.elc \
emacspeak-npr.elc \
emacspeak-nxml.elc \
emacspeak-outline.elc \
emacspeak-package.elc \
emacspeak-paradox.elc \
emacspeak-perl.elc \
emacspeak-php-mode.elc \
emacspeak-pianobar.elc \
emacspeak-proced.elc \
emacspeak-py.elc \
emacspeak-python.elc \
emacspeak-re-builder.elc \
emacspeak-reftex.elc \
emacspeak-rpm-spec.elc \
emacspeak-remote.elc \
emacspeak-rmail.elc \
emacspeak-rpm.elc  \
emacspeak-ruby.elc \
emacspeak-sawfish.elc \
emacspeak-slime.elc \
emacspeak-ses.elc \
emacspeak-setup.el \
emacspeak-sgml-mode.elc \
emacspeak-sh-script.elc \
emacspeak-sigbegone.elc \
emacspeak-solitaire.elc \
emacspeak-speedbar.elc \
sox.elc \
sox-gen.elc \
emacspeak-sql.elc \
emacspeak-supercite.elc \
emacspeak-sudoku.elc \
emacspeak-etable.elc \
emacspeak-tapestry.elc \
emacspeak-tar.elc \
emacspeak-tcl.elc \
emacspeak-tdtd.elc \
emacspeak-tempo.elc \
emacspeak-tetris.elc \
emacspeak-2048.elc \
emacspeak-texinfo.elc \
emacspeak-todo-mode.elc \
emacspeak-twittering.elc \
emacspeak-url-template.elc \
emacspeak-view.elc \
emacspeak-vm.elc \
emacspeak-w3.elc \
emacspeak-w3m.elc \
emacspeak-wdired.elc \
emacspeak-we.elc \
emacspeak-webspace.elc \
emacspeak-webutils.elc \
emacspeak-websearch.elc \
emacspeak-widget.elc \
emacspeak-windmove.elc \
emacspeak-winring.elc \
emacspeak-woman.elc \
emacspeak-wizards.elc  \
emacspeak-xref.elc \
emacspeak-xml-shell.elc \
emacspeak-xslt.elc \
emacspeak-yasnippet.elc 

ADDON_OBJECTS = \
tapestry.elc   stack-f.elc  \
subr-x.elc dom.elc dom-addons.elc \
xbacklight.elc json-view.elc toy-braille.elc tetris.elc cd-tool.elc nm.elc

OBJECTS = $(DTK_OBJECTS) $(SPEAK_OBJECTS) $(CORE_OBJECTS)  $(ADDON_OBJECTS)
# }}}
# {{{  User level targets all

all: $(OBJECTS)
	cd g-client; $(MAKE)

force:

config: emacspeak-loaddefs.el emacspeak-cus-load.el emacspeak-finder-inf.el
lint:
	echo "." |\
emacs -batch -q \
-l advice.el -l emacspeak-load-path.el  -l emacspeak-loaddefs.el \
-f elint-directory 
# }}}
# {{{build time target --loaddefs

emacspeak-finder-inf.el: force
	$(EMACS) $(BATCH) -l emacspeak-load-path.el  -l emacspeak-finder.el  -f emacspeak-finder-compile-keywords

emacspeak-loaddefs.el: force
	echo ";;;Auto generated" > emacspeak-loaddefs.el
	$(EMACS) $(BATCH)  -l ./emacspeak-load-path.el  \
	-l ./emacspeak-autoload.el  \
	-f emacspeak-auto-generate-autoloads

emacspeak-cus-load.el: force
	$(EMACS) $(BATCH) -l ./emacspeak-load-path.el  -l cus-dep -l ./emacspeak-autoload.el \
-f emacspeak-auto-custom-make-dependencies "."
	mv cus-load.el emacspeak-cus-load.el

# }}}
# {{{  Make rules for the various modules

# Do this in this brain-dead way because different makes do pattern
# rules differently. grumble grumble...
#dtk module:
#dtk-interp contains the interface to the interpreter
#Modules using functions from the dtk module should depend on dtk-speak

dtk-interp.elc: dtk-interp.el
dtk-unicode.elc: dtk-unicode.el
dtk-speak.elc: dtk-speak.el  dtk-interp.elc dtk-unicode.elc tts.elc
acss-structure.elc: acss-structure.el tts.elc 
tts.elc: tts.el
tts-cmds.elc: tts-cmds.el tts.elc
dectalk-voices.elc: dectalk-voices.el voice-setup.elc 
outloud-voices.elc: outloud-voices.el voice-setup.elc 
plain-voices.elc: plain-voices.el voice-setup.elc 
mac-voices.elc: mac-voices.el voice-setup.elc 
espeak-voices.elc: espeak-voices.el voice-setup.elc 
voice-setup.elc: voice-setup.el acss-structure.elc 
emacspeak-alsaplayer.elc: emacspeak-alsaplayer.el
ommacspeak-amark.elc: emacspeak-amark.el
cd-tool.elc: cd-tool.el
json-view.elc: json-view.el
nm.elc: nm.el
amixer.elc: amixer.el
emacspeak-actions.elc: emacspeak-actions.el
emacspeak-add-log.elc: emacspeak-add-log.el dtk-speak.elc voice-setup.elc
emacspeak-advice.elc: emacspeak-advice.el dtk-speak.elc voice-setup.elc
emacspeak-analog.elc: emacspeak-analog.el dtk-speak.elc voice-setup.elc
emacspeak-ansi-color.elc: emacspeak-ansi-color.el dtk-speak.elc voice-setup.elc
emacspeak-apt-sources.elc: emacspeak-apt-sources.el dtk-speak.elc voice-setup.elc
emacspeak-apt-utils.elc: emacspeak-apt-utils.el dtk-speak.elc voice-setup.elc
emacspeak-arc.elc: emacspeak-arc.el dtk-speak.elc voice-setup.elc
emacspeak-auctex.elc: emacspeak-auctex.el dtk-speak.elc voice-setup.elc
emacspeak-aumix.elc: emacspeak-aumix.el dtk-speak.elc voice-setup.elc
emacspeak-autoload.elc: emacspeak-autoload.el
emacspeak-bbc.elc: emacspeak-bbc.el dtk-speak.elc voice-setup.elc
emacspeak-bbdb.elc: emacspeak-bbdb.el dtk-speak.elc voice-setup.elc
emacspeak-bibtex.elc: emacspeak-bibtex.el dtk-speak.elc voice-setup.elc
emacspeak-bookmark.elc: emacspeak-bookmark.el dtk-speak.elc voice-setup.elc
emacspeak-bookshare.elc: emacspeak-bookshare.el dtk-speak.elc voice-setup.elc emacspeak-webutils.elc
emacspeak-browse-kill-ring.elc: emacspeak-browse-kill-ring.el dtk-speak.elc voice-setup.elc
emacspeak-bs.elc: emacspeak-bs.el dtk-speak.elc voice-setup.elc
emacspeak-buff-menu.elc: emacspeak-buff-menu.el dtk-speak.elc voice-setup.elc
emacspeak-c.elc: emacspeak-c.el dtk-speak.elc voice-setup.elc
emacspeak-cmuscheme.elc: emacspeak-cmuscheme.el dtk-speak.elc voice-setup.elc
emacspeak-calc.elc: emacspeak-calc.el
emacspeak-calculator.elc: emacspeak-calculator.el  dtk-speak.elc voice-setup.elc
emacspeak-calendar.elc: emacspeak-calendar.el dtk-speak.el
emacspeak-cedet.elc: emacspeak-cedet.el dtk-speak.elc voice-setup.elc
emacspeak-checkdoc.elc: emacspeak-checkdoc.el dtk-speak.elc voice-setup.elc
emacspeak-compile.elc: emacspeak-compile.el  dtk-speak.elc
emacspeak-company.elc: emacspeak-company.el dtk-speak.elc
congrats.elc: congrats.el dtk-speak.elc
emacspeak-cperl.elc: emacspeak-cperl.el dtk-speak.elc voice-setup.elc
emacspeak-custom.elc: emacspeak-custom.el dtk-speak.elc voice-setup.elc
emacspeak-cyclebuffer.elc: emacspeak-cyclebuffer.el dtk-speak.elc
emacspeak-epub.elc: emacspeak-epub.el dtk-speak.elc voice-setup.elc
emacspeak-dbus.elc: emacspeak-dbus.el dtk-speak.elc nm.elc
emacspeak-desktop.elc: emacspeak-desktop.el dtk-speak.elc voice-setup.elc
emacspeak-dictionary.elc: emacspeak-dictionary.el dtk-speak.elc voice-setup.elc
emacspeak-diff-mode.elc: emacspeak-diff-mode.el dtk-speak.elc voice-setup.elc
emacspeak-dired.elc: emacspeak-dired.el dtk-speak.elc voice-setup.elc
emacspeak-dismal.elc: emacspeak-dismal.el dtk-speak.elc voice-setup.elc
emacspeak-dmacro.elc: emacspeak-dmacro.el dtk-speak.elc voice-setup.elc
emacspeak-ecb.elc: emacspeak-ecb.el dtk-speak.elc voice-setup.elc
emacspeak-ein.elc: emacspeak-ein.el dtk-speak.elc voice-setup.elc
emacspeak-ediary.elc: emacspeak-ediary.el dtk-speak.elc voice-setup.elc
emacspeak-ediff.elc: emacspeak-ediff.el dtk-speak.elc voice-setup.elc
emacspeak-xkcd.elc: emacspeak-xkcd.el dtk-speak.elc
emacspeak-eclim.elc: emacspeak-eclim.el dtk-speak.elc voice-setup.elc
emacspeak-elfeed.elc: emacspeak-elfeed.el dtk-speak.elc
emacspeak-enriched.elc: emacspeak-enriched.el dtk-speak.elc voice-setup.elc
emacspeak-emms.elc: emacspeak-emms.el dtk-speak.elc
emacspeak-entertain.elc: emacspeak-entertain.el dtk-speak.elc voice-setup.elc
emacspeak-eperiodic.elc: emacspeak-eperiodic.el dtk-speak.elc voice-setup.elc
emacspeak-espn.elc: emacspeak-espn.el dtk-speak.elc

=== lisp/g-client/Makefile ===
# $Id: Makefile 4373 2007-02-17 03:59:51Z tv.raman.tv $
# $Author: tv.raman.tv $
# Description:  Makefile for g-client -- An Emacs client for Google services
# Keywords: Emacs, G-CLIENT, Makefile
# {{{ LCD Entry:

# LCD Archive Entry:
# g-client| T. V. Raman |raman@cs.cornell.edu
# An emacs  interface to Google services |
# $Date: 2007-02-16 19:59:51 -0800 (Fri, 16 Feb 2007) $ |
#  $Revision: 4373 $ |
# Location undetermined
#

# }}}
# {{{ Copyright:

#Copyright (C) 2006--2007, T. V. Raman
# This file is not part of GNU Emacs, but the same permissions apply.
#
# GNU Emacs is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# GNU Emacs is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Emacs; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

# }}}
# {{{make definitions

# what emacs is called on your system
EMACS = emacs
# How to run in batch mode
BATCH = -batch -q -no-site-file   
DEPS= -l ./g-load-path.el -l ./g-loaddefs.el
COMPILE =  -f batch-byte-compile
OBJECTS= g-auth.elc \
g-app.elc \
g-utils.elc \
g.elc \
gblogger.elc \
org2blogger.elc \
gfeeds.elc \
gf.elc \
gphoto.elc \
gweb.elc \
gmaps.elc \
gm-nnir.elc \



# How to compile
%.elc:  %.el
	$(EMACS) $(BATCH)  $(DEPS)  $(COMPILE) $<

# }}}
# {{{build time target: config, all
all: g-loaddefs.el 
	make config 
	make $(OBJECTS)
config: g-cus-load.el

force:

g-cus-loads.el: force
g-loaddefs.el: force
	echo ";;;Auto generated" > g-loaddefs.el
	$(EMACS) $(BATCH) -l ./g-autogen.el -f g-autogen-generate-autoloads

g-cus-load.el: force
	$(EMACS) $(BATCH) -l ./g-autogen.el -f g-autogen-custom-make-dependencies "."

# }}}
# {{{  Make rules for the various modules
g-utils.elc: g-utils.el
g-auth.elc: g-auth.el g-utils.elc
g-app.elc: g-auth.elc g-utils.elc g-app.el
g.elc: g.el  g-auth.elc
gfeeds.elc: g-utils.elc gfeeds.el
gsheet.elc: gsheet.el g-app.elc
gweb.elc: gweb.el g-utils.elc
gf.elc: gf.el g-utils.elc
gmaps.elc: gmaps.el g-utils.elc
gm-nnir.elc: gm-nnir.el 
gblogger.elc: gblogger.el g-app.elc 
org2blogger.elc: org2blogger.el gblogger.elc

# }}}
# {{{dist

dist:../g-client.tar.bz2

../g-client.tar.bz2: 
	rm -f $@
	tar  cfj $@ -X .excludes -C ..  g-client

# }}}
# {{{  user level target-- clean

clean:
	rm -f *.elc   g-cus-loads.el g-loaddefs.el

# }}}
# {{{dev targets:

indent:
	emacs -batch -q -no-site-file -l indent-files.el

# }}}
# {{{ end of file

#local variables:
#major-mode: makefile-mode
#eval:  (fold-set-marks "# {{{" "# }}}")
#fill-column: 90
#folded-file: t
#end:

# }}}

=== servers/linux-outloud/Makefile ===
#$Id$

INSTALL = install
PREFIX = /usr
LIBPARENTDIR = ${PREFIX}/share/emacs/site-lisp
LIBDIR =$(LIBPARENTDIR)/emacspeak/servers/linux-outloud

TCL_VERSION=8.6
TCL_INCLUDE=/usr/include/tcl$(TCL_VERSION)
#CFLAGS+= -g    -O2 -fPIC  -DPIC  -pedantic -ansi -Wall  -Wno-long-long -I$(TCL_INCLUDE)
CFLAGS+= -m32 -g    -O2 -fPIC  -DPIC  -pedantic -ansi -Wall  -Wno-long-long -I$(TCL_INCLUDE)
CXXFLAGS+= $(CFLAGS)
LIBS= -ltcl$(TCL_VERSION) -lasound -ldl    

all:   atcleci.so

atcleci.so: langswitch.o atcleci.o
	$(CXX) $(LDFLAGS) -m32 -shared -o $@ langswitch.o atcleci.o $(LIBS)

clean:
	rm -f *.so *.o 

install: atcleci.so
	$(INSTALL) -d $(DESTDIR)$(LIBDIR)
	$(INSTALL) $< $(DESTDIR)$(LIBDIR)

## emacspeak 44.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -152,12 +152,12 @@
 ${ECI}/*.h \
 ${ECI}/*.cpp \
 ${ECI}/ALSA ${ECI}/asoundrc \
-${ECI}/Makefile
+${ECI}/atcleci.so ${ECI}/Makefile
 
 NEWS = etc/NEWS*  etc/COPYRIGHT \
 etc/remote.txt etc/applications.html   etc/tips.html
 SOUNDS=sounds/classic sounds/emacspeak.mp3 \
-sounds/chimes  sounds/3d
+sounds/pan-chimes  sounds/3d
 
 TCL_PROGRAMS = servers/.servers \
 servers/dtk-exp  servers/ssh-dtk-exp\
@@ -322,7 +322,7 @@
 	tar cvfj emacspeak-${LABEL}.tar.bz2 emacspeak-$(LABEL); \
 	/bin/rm -rf emacspeak-${LABEL} ;\
 	echo "Prepared release in emacspeak-${LABEL}.tar.bz2"
-	./utils/ghr ${LABEL} "emacspeak-${LABEL}.tar.bz2"
+	./utils/emacspeak-ghr ${LABEL} "emacspeak-${LABEL}.tar.bz2"
 
 # }}}
 # {{{list distfiles to stdout

=== lisp/Makefile ===
--- 
+++ 
@@ -147,7 +147,6 @@
 emacspeak-find-dired.elc \
 emacspeak-ftf.elc \
 emacspeak-find-func.elc \
-emacspeak-finder.elc \
 emacspeak-flycheck.elc \
 emacspeak-flyspell.elc \
 emacspeak-folding.elc \
@@ -202,6 +201,8 @@
 emacspeak-pianobar.elc \
 emacspeak-proced.elc \
 emacspeak-py.elc \
+emacspeak-elpy.elc \
+emacspeak-pydoc.elc \
 emacspeak-python.elc \
 emacspeak-re-builder.elc \
 emacspeak-reftex.elc \
@@ -219,7 +220,9 @@
 emacspeak-sigbegone.elc \
 emacspeak-solitaire.elc \
 emacspeak-speedbar.elc \
+ladspa.elc \
 sox.elc \
+soundscape.elc \
 sox-gen.elc \
 emacspeak-sql.elc \
 emacspeak-supercite.elc \
@@ -269,7 +272,7 @@
 
 force:
 
-config: emacspeak-loaddefs.el emacspeak-cus-load.el emacspeak-finder-inf.el
+config: emacspeak-loaddefs.el emacspeak-cus-load.el 
 lint:
 	echo "." |\
 emacs -batch -q \
@@ -277,9 +280,6 @@
 -f elint-directory 
 # }}}
 # {{{build time target --loaddefs
-
-emacspeak-finder-inf.el: force
-	$(EMACS) $(BATCH) -l emacspeak-load-path.el  -l emacspeak-finder.el  -f emacspeak-finder-compile-keywords
 
 emacspeak-loaddefs.el: force
 	echo ";;;Auto generated" > emacspeak-loaddefs.el
@@ -371,3 +371,4 @@
 emacspeak-entertain.elc: emacspeak-entertain.el dtk-speak.elc voice-setup.elc
 emacspeak-eperiodic.elc: emacspeak-eperiodic.el dtk-speak.elc voice-setup.elc
 emacspeak-espn.elc: emacspeak-espn.el dtk-speak.elc
+emacspeak-erc.elc: emacspeak-erc.el dtk-speak.elc voice-setup.elc

=== debian/changelog ===
emacspeak (44.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version (no changes)
  * Add dont_install_OUTLOUD_for_now.patch to prevent FTBFS

 -- Paul Gevers <elbrus@debian.org>  Sat, 21 May 2016 14:32:58 +0200

emacspeak (43.0+dfsg-1) unstable; urgency=medium

  * New upstream release
    - No httpspeaker and user-guide documentation anymore
    - Add sox to Recommends as per upstream documentation
  * Use the upstream build and install system to decrease the tracking
    burden in the packaging (adds build-depends on emacs-nox)
  * Bump standards version (no changes)
  * Update Vcs-git field to use https

 -- Paul Gevers <elbrus@debian.org>  Mon, 07 Mar 2016 20:13:40 +0100

=== debian/control ===
Source: emacspeak
Section: editors
Priority: optional
Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Uploaders: Paul Gevers <elbrus@debian.org>
Build-Depends: debhelper (>= 9),
               libespeak-dev,
               po-debconf,
               tcl-dev,
Build-Depends-Indep: csound, emacs-nox
Standards-Version: 3.9.8
Homepage: http://emacspeak.sf.net
Vcs-browser: https://anonscm.debian.org/cgit/pkg-a11y/emacspeak.git
Vcs-git: https://anonscm.debian.org/git/pkg-a11y/emacspeak.git

Package: emacspeak
Architecture: all
Depends: adduser,
         debconf,
         emacs (>=46.0),
         make,
         perl,
         tcl,
         tclx8.4,
         ${misc:Depends},
         ${perl:Depends}
Recommends: emacspeak-espeak-server, sox
Suggests: eflite, emacspeak-ss, espeak, psgml, w3m-el, xsltproc
Description: speech output interface to Emacs
 Emacspeak is a speech output system that will allow someone who
 cannot see to work directly on a UNIX system.
 .
 Emacspeak is built on top of Emacs. Once Emacs is started with Emacspeak
 loaded, users get spoken feedback for all actions. As Emacs can do
 everything, they get speech feedback for everything they do.
 .
 This package recommends the speech server for the espeak (software) 
 speech synthesizer, so it should work straight away. However it also
 contains the source for speech servers to support the DECtalk Express
 and DECtalk MultiVoice (hardware) speech synthesizers. For other
 synthesizers, look for speech server packages such as emacspeak-ss and
 eflite.

Package: emacspeak-espeak-server
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Enhances: emacspeak
Description: espeak syntesis server for emacspeak
 Emacspeak is a speech output system that will allow someone who
 cannot see to work directly on a UNIX system.
 .
 Emacspeak is built on top of Emacs. Once Emacs is started with Emacspeak
 loaded, users get spoken feedback for all actions. As Emacs can do
 everything, they get speech feedback for everything they do.
 .
 This package includes the speech server for the espeak (software) 
 speech synthesizer.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

package=emacspeak
debbase := $(shell pwd)/debian
pkgtmp  := $(debbase)/$(package)
eldir   := usr/share/emacs/site-lisp/$(package)
deblsp  := $(pkgtmp)/$(eldir)
tmpdir  := $(debbase)/tmp/$(eldir)

%:
	dh  $@

override_dh_auto_build-arch:
	$(MAKE) TCL_VERSION="" --directory servers/linux-espeak

override_dh_auto_build-indep:
	echo $(shell dpkg-parsechangelog -c1 | grep ^Version: | perl -p -e 's/Version: //') \
		> debian_version

# Upstream doesn't ship a changelog file but NEWS-* basically contain what is needed
# so cat that all together. Not 100% elegant, but it will do for now.
# Note: the loop is to sort 8 and 9 before the rest
	echo > changelog
	for release in 8 9 1 2 3 ; do \
		cat etc/NEWS-$${release}* >> changelog ; \
	done
	cat etc/NEWS >> changelog

	# The 3d auditory icon theme was generated using CSound, but it expects the
	# reference files in the same directory.
	ln -s /usr/share/csound/hrtf/*.dat sounds/3d/src/
	cd sounds/3d/src ; \
	for file in *.csd ; do \
		if [ ! "$$file" = interactive.csd ] ; then \
			csound -o ../$${file%csd}wav $$file ; \
		fi ; \
	done

	$(MAKE)

override_dh_auto_clean:
	debconf-updatepo

	$(MAKE) clean
	$(MAKE) --directory servers/linux-espeak clean

# the following items should be done by the get-orig-source target, but
# leave them here just in case we might not need that target in the future
# the sources included some byte-compiled file by mistake
	find . -name \*.elc -delete
	find . -name \*.pyc -delete
	find . -name \*.pyo -delete
	dh_clean 

override_dh_auto_install-indep:
	dh_auto_install
	# The upstream install target installs more than we want, most importantly
	# the compiled lisp files. Because it is easier to maintain, we let it
	# install but remove the stuff we don't want here.
	find $(tmpdir) -name \*.elc -delete
	find $(tmpdir) -name .nosearch -delete
	rm $(tmpdir)/etc/COPYRIGHT
	rm $(tmpdir)/etc/NEWS-*
	# Already compiled and shipped in emacspeak-espeak-server
	rm -r $(tmpdir)/servers/linux-espeak
	# Should be made into a proper package
	rm -r $(tmpdir)/servers/linux-outloud
	# If people want this, they have the source package
	rm -r $(tmpdir)/servers/software-dtk
	# File for Mac, not for Debian
	rm -r $(tmpdir)/servers/mac
	rm -r $(tmpdir)/servers/log-mac
	# Source files
	rm -r $(tmpdir)/sounds/3d/src
	# Original convertion script, but useless now
	rm $(tmpdir)/sounds/pan-chimes/apply-pan.sh
	# Generated files
	rm -r $(tmpdir)/lisp/emacspeak-cus-load.el
	rm -r $(tmpdir)/lisp/emacspeak-loaddefs.el
	rm -r $(tmpdir)/lisp/g-client/g-loaddefs.el

override_dh_auto_install-arch:

override_dh_install:
	# Exclude the files that go into the documentation
	dh_install --list-missing -Xdtk/DTK -Xetc/NEWS -XREADME -X.html -Xremote.txt -Xstumpwm

override_dh_fixperms-indep:
# Only fix the following in the indep case
# scripts and speech servers should be executable
	if [ -d $(deblsp) ] ; then \
		chmod 644 `find $(deblsp) -type f`; \
		chmod 755 $(deblsp)/etc/*.pl				\
			$(deblsp)/etc/*2html				\
			$(deblsp)/etc/*2text				\
			$(deblsp)/servers/32-outloud			\
			$(deblsp)/servers/cloud*			\
			$(deblsp)/servers/dtk-exp			\
			$(deblsp)/servers/dtk-soft			\
			$(deblsp)/servers/espeak			\
			$(deblsp)/servers/log-*			\
			$(deblsp)/servers/outloud			\
			$(deblsp)/servers/speech-server			\
			$(deblsp)/servers/ssh-dtk-exp			\
			$(deblsp)/servers/ssh-outloud ;			\
	fi

	dh_fixperms

override_dh_compress:
# NEWS can be called from emacspeak command, don't compress
	dh_compress -XNEWS

get-orig-source:
	-uscan --rename --force-download

## emacspeak 45.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -279,7 +279,7 @@
 	$(INSTALL) -m 0755  etc/emacspeak.sh $(bindir)/emacspeak
 	$(INSTALL) -d $(infodir)
 	cd info; \
-	$(MAKE) install  infodir="$(infodir)"
+  cp *info* $(infodir)
 
 uninstall:
 	rm -rf $(infodir)/emacspeak.info* $(bindir)/emacspeak $(libdir)
@@ -295,15 +295,13 @@
 q:
 	make clean
 	make config 
-	make -j
+	make 
 
 # }}}
 # {{{  user level target-- clean
 
 clean:
 	cd lisp; $(MAKE) clean
-		cd info; $(MAKE) clean
-
 # }}}
 # {{{ labeling releases
 
@@ -311,7 +309,7 @@
 LABEL=#version number
 MSG="Releasing ${LABEL}"
 release: #supply LABEL=NN.NN
-	git tag -a  ${LABEL} -m "Tagging release with ${LABEL}"
+	git tag -a -s ${LABEL} -m "Tagging release with ${LABEL}"
 	git push --tags
 	$(MAKE) dist
 	mkdir emacspeak-${LABEL}; \

=== etc/Makefile ===
# $Id$
# $Author: tv.raman.tv $ 
# Description:  Makefile for Emacspeak 
# Keywords: Emacspeak, Dectalk, Makefile 
# {{{ LCD Entry: 

# LCD Archive Entry:
# emacspeak| T. V. Raman |raman@cs.cornell.edu 
# A speech interface to Emacs |
# $Date: 2006-08-11 12:11:17 -0700 (Fri, 11 Aug 2006) $ |
#  $Revision: 4047 $ | 
# Location undetermined
#

# }}}
# {{{ Copyright:  

#Copyright (C) 1995 -- 2003, T. V. Raman 

# Copyright (c) 1994, 1995 by Digital Equipment Corporation.
# All Rights Reserved. 
#
# This file is not part of GNU Emacs, but the same permissions apply.
#
# GNU Emacs is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# GNU Emacs is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Emacs; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

# }}}
all: #fix perms
	chmod 755 *.pl
# {{{xml -> html 
tips.html: tips.xml tips.xsl
	xsltproc tips.xsl tips.xml > tips.html 
%.html: %.xml
	xsltproc    $< > $@

# }}}
# {{{ User level target--  config 
config:
	@rm -f    emacspeak.sh
	@sed "s@<emacspeak-dir>@$(SRC)/lisp@g" \
		emacspeak.sh.def > emacspeak.sh
	@chmod 755   emacspeak.sh
	@chmod 755   *.pl

# }}}
# {{{maintainer target 

pub: tips.html applications.html
	scp tips.html applications.html    raman,emacspeak@web.sourceforge.net:/home/groups/e/em/emacspeak/htdocs
# }}}
# {{{ end of file 

#local variables: 
#major-mode: makefile-mode
#eval:  (fold-set-marks "# {{{" "# }}}")
#fill-column: 90
#folded-file: t
#end:

# }}}

=== lisp/Makefile ===
--- 
+++ 
@@ -85,7 +85,6 @@
 emacspeak-tabulate.elc \
 amixer.elc \
 emacspeak-add-log.elc \
-emacspeak-alsaplayer.elc \
 emacspeak-amark.elc \
 emacspeak-analog.elc \
 emacspeak-ansi-color.elc \
@@ -109,6 +108,7 @@
 emacspeak-calendar.elc \
 emacspeak-cedet.elc \
 emacspeak-checkdoc.elc \
+emacspeak-ciel.elc \
 emacspeak-cmuscheme.elc \
 emacspeak-compile.elc \
 emacspeak-company.elc \
@@ -127,6 +127,8 @@
 emacspeak-ein.elc \
 emacspeak-ediary.elc \
 emacspeak-ediff.elc \
+emacspeak-elisp-refs.elc \
+emacspeak-elscreen.elc \
 emacspeak-eww.elc \
 emacspeak-eclim.elc \
 emacspeak-elfeed.elc \
@@ -134,6 +136,7 @@
 emacspeak-xkcd.elc \
 emacspeak-emms.elc \
 emacspeak-entertain.elc \
+emacspeak-epa.elc \
 emacspeak-eperiodic.elc \
 emacspeak-espn.elc \
 emacspeak-erc.elc \
@@ -169,6 +172,7 @@
 emacspeak-info.elc\
 emacspeak-ispell.elc \
 emacspeak-jabber.elc \
+emacspeak-jade.elc \
 emacspeak-jde.elc \
 emacspeak-js2.elc \
 emacspeak-jss.elc \
@@ -206,12 +210,13 @@
 emacspeak-python.elc \
 emacspeak-re-builder.elc \
 emacspeak-reftex.elc \
+emacspeak-rst.elc \
+emacspeak-related.elc \
 emacspeak-rpm-spec.elc \
 emacspeak-remote.elc \
 emacspeak-rmail.elc \
 emacspeak-rpm.elc  \
 emacspeak-ruby.elc \
-emacspeak-sawfish.elc \
 emacspeak-slime.elc \
 emacspeak-ses.elc \
 emacspeak-setup.el \
@@ -234,6 +239,8 @@
 emacspeak-tdtd.elc \
 emacspeak-tempo.elc \
 emacspeak-tetris.elc \
+emacspeak-threes.elc \
+emacspeak-tide.elc \
 emacspeak-2048.elc \
 emacspeak-texinfo.elc \
 emacspeak-todo-mode.elc \
@@ -253,6 +260,7 @@
 emacspeak-winring.elc \
 emacspeak-woman.elc \
 emacspeak-wizards.elc  \
+emacspeak-wrolo.elc \
 emacspeak-xref.elc \
 emacspeak-xml-shell.elc \
 emacspeak-xslt.elc \
@@ -313,7 +321,6 @@
 mac-voices.elc: mac-voices.el voice-setup.elc 
 espeak-voices.elc: espeak-voices.el voice-setup.elc 
 voice-setup.elc: voice-setup.el acss-structure.elc 
-emacspeak-alsaplayer.elc: emacspeak-alsaplayer.el
 ommacspeak-amark.elc: emacspeak-amark.el
 cd-tool.elc: cd-tool.el
 json-view.elc: json-view.el
@@ -340,6 +347,7 @@
 emacspeak-buff-menu.elc: emacspeak-buff-menu.el dtk-speak.elc voice-setup.elc
 emacspeak-c.elc: emacspeak-c.el dtk-speak.elc voice-setup.elc
 emacspeak-cmuscheme.elc: emacspeak-cmuscheme.el dtk-speak.elc voice-setup.elc
+emacspeak-ciel.elc: emacspeak-ciel.el dtk-speak.elc
 emacspeak-calc.elc: emacspeak-calc.el
 emacspeak-calculator.elc: emacspeak-calculator.el  dtk-speak.elc voice-setup.elc
 emacspeak-calendar.elc: emacspeak-calendar.el dtk-speak.el
@@ -363,12 +371,10 @@
 emacspeak-ein.elc: emacspeak-ein.el dtk-speak.elc voice-setup.elc
 emacspeak-ediary.elc: emacspeak-ediary.el dtk-speak.elc voice-setup.elc
 emacspeak-ediff.elc: emacspeak-ediff.el dtk-speak.elc voice-setup.elc
+emacspeak-elisp-refs.elc: emacspeak-elisp-refs.el dtk-speak.elc voice-setup.elc
+emacspeak-elscreen.elc: emacspeak-elscreen.el dtk-speak.elc voice-setup.elc
 emacspeak-xkcd.elc: emacspeak-xkcd.el dtk-speak.elc
 emacspeak-eclim.elc: emacspeak-eclim.el dtk-speak.elc voice-setup.elc
 emacspeak-elfeed.elc: emacspeak-elfeed.el dtk-speak.elc
 emacspeak-enriched.elc: emacspeak-enriched.el dtk-speak.elc voice-setup.elc
 emacspeak-emms.elc: emacspeak-emms.el dtk-speak.elc
-emacspeak-entertain.elc: emacspeak-entertain.el dtk-speak.elc voice-setup.elc
-emacspeak-eperiodic.elc: emacspeak-eperiodic.el dtk-speak.elc voice-setup.elc
-emacspeak-espn.elc: emacspeak-espn.el dtk-speak.elc
-emacspeak-erc.elc: emacspeak-erc.el dtk-speak.elc voice-setup.elc

=== lisp/g-client/Makefile ===
--- 
+++ 
@@ -45,11 +45,8 @@
 g-app.elc \
 g-utils.elc \
 g.elc \
-gblogger.elc \
-org2blogger.elc \
 gfeeds.elc \
 gf.elc \
-gphoto.elc \
 gweb.elc \
 gmaps.elc \
 gm-nnir.elc \
@@ -79,19 +76,16 @@
 
 # }}}
 # {{{  Make rules for the various modules
+
 g-utils.elc: g-utils.el
 g-auth.elc: g-auth.el g-utils.elc
 g-app.elc: g-auth.elc g-utils.elc g-app.el
 g.elc: g.el  g-auth.elc
 gfeeds.elc: g-utils.elc gfeeds.el
-gsheet.elc: gsheet.el g-app.elc
 gweb.elc: gweb.el g-utils.elc
 gf.elc: gf.el g-utils.elc
 gmaps.elc: gmaps.el g-utils.elc
 gm-nnir.elc: gm-nnir.el 
-gblogger.elc: gblogger.el g-app.elc 
-org2blogger.elc: org2blogger.el gblogger.elc
-
 # }}}
 # {{{dist
 
@@ -111,7 +105,7 @@
 # {{{dev targets:
 
 indent:
-	emacs -batch -q -no-site-file -l indent-files.el
+	emacs -batch -q -no-site-file -l ../../utils/indent-files.el
 
 # }}}
 # {{{ end of file

=== servers/linux-outloud/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #$Id$
-
+# Install g++-multilib to compile
 INSTALL = install
 PREFIX = /usr
 LIBPARENTDIR = ${PREFIX}/share/emacs/site-lisp

=== servers/software-dtk/Makefile ===
#$Id$
#
LABEL=1.1
DIST=software-dtk-$(LABEL)
TCL_VERSION=8.6
CFLAGS+=-O3 -fpic -pedantic -ansi -Wall -I/usr/include/tcl$(TCL_VERSION)
CPPFLAGS+=-DSTDC_HEADERS=1 -Dclock_t=long -DRETSIGTYPE=void 
INSTALL=install
LIBS=-ltts -ltts_us -ltcl$(TCL_VERSION)
SERVER_DIR=/usr/share/emacs/site-lisp/emacspeak/servers/software-dtk
FILES=tcldtk.c tcldtk.so tcldtk.o Makefile

tcldtk.so: tcldtk.o
	$(CC) $(LDFLAGS) -shared -o $@ $< $(LIBS)

dist: software-dtk.tar.gz

software-dtk.tar.gz:
	mkdir $(DIST) ;
	cp $(FILES) $(DIST) ;
	tar cfz software-dtk.tar.gz $(DIST)
	/bin/rm -rf $(DIST)

clean:
	rm tcldtk.so tcldtk.o

install:
	$(INSTALL) -d $(DESTDIR)$(SERVER_DIR)
	cp  $(FILES) $(DESTDIR)$(SERVER_DIR)

rpm: software-dtk.spec software-dtk.tar.gz
	@cp software-dtk.tar.gz /usr/src/redhat/SOURCES/
	@cp software-dtk.spec /usr/src/redhat/SPECS/
	rpm  -bb --sign --clean   /usr/src/redhat/SPECS/software-dtk.spec

=== debian/changelog ===
emacspeak (45.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Update remove_info_from_clean_target.patch

 -- Paul Gevers <elbrus@debian.org>  Fri, 25 Nov 2016 08:39:27 +0100

emacspeak (44.0+dfsg-2) unstable; urgency=medium

  * Add Dutch translation, thanks to Frans Spiesschaert (Closes: #837102)
  * Pre-seed noise creation to build reproducible, thanks for Chris Lamb
    and some other people on Debconf to help debug this issue (twice)
    (Closes: #833395)
  * Switch to espeak-ng as suggested by Samuel Thibault
  * Bump debhelper compat level to 10
  * Add all hardening flags to the build

 -- Paul Gevers <elbrus@debian.org>  Wed, 09 Nov 2016 21:06:21 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
 Uploaders: Paul Gevers <elbrus@debian.org>
-Build-Depends: debhelper (>= 9),
-               libespeak-dev,
+Build-Depends: debhelper (>= 10~),
+               libespeak-ng-libespeak-dev,
                po-debconf,
                tcl-dev,
 Build-Depends-Indep: csound, emacs-nox
 Standards-Version: 3.9.8
 Homepage: http://emacspeak.sf.net
-Vcs-browser: https://anonscm.debian.org/cgit/pkg-a11y/emacspeak.git
-Vcs-git: https://anonscm.debian.org/git/pkg-a11y/emacspeak.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-a11y/emacspeak.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/emacspeak.git
 
 Package: emacspeak
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,10 @@
 
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
+
+DEB_BUILD_MAINT_OPTIONS := hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 package=emacspeak
 debbase := $(shell pwd)/debian

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg(\d*)// \
  https://github.com/tvraman/emacspeak/releases .*/emacspeak-(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) debian debian/get-orig-source.sh
